MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002372VCMIMechanics - Adventure Mappublic2016-01-13 16:092016-01-15 09:27
ReporterKantor 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.98f 
Target VersionFixed in Version0.98g 
Summary0002372: Reward from beaten creature doesn't work
DescriptionPlayer doesn't gain any reward from beating a neutral creature, which has such reward included.
TagsNo tags attached.
Attached Files? file icon reward test.h3m [^] (9,632 bytes) 2016-01-13 16:09

- Relationships

-  Notes
(0006273)
SXX (administrator)
2016-01-14 07:07
edited on: 2016-01-14 07:08

Good catch! End up this is not implemented yet, so I'll do that now.

(0006274)
SXX (administrator)
2016-01-14 07:49

What funny: your map break original H3. Even if I add new object that only give artifact it's not working and give me resources.

Anyway with new map H3 behaviour is:
 - If you kill creatures or let them join you then you get one or both rewards.
 - If you let them flee then no rewards given.
(0006275)
Kantor (updater)
2016-01-14 11:54
edited on: 2016-01-14 11:57

>your map break original H3
   Hehe, so you've found a bug in a OH3 map editor.

Speaking of way, that OH3 informs player about gained resources, maybe it would be better to implement one pop-up window, which would show all gained resources at once, in one place, instead of current OH3 way (one window with wood, one with ore, and so on...).

(0006276)
SXX (administrator)
2016-01-14 17:09
edited on: 2016-01-14 17:31

Yeah of course we do have code to form appropriate windows that contain all needed resources in one.

(0006279)
SXX (administrator)
2016-01-15 01:39

Implemented:
https://github.com/vcmi/vcmi/commit/b84d7bd288552d7cde99a830397062a19263637a [^]

Though I wish we can find out way to end implementation of rewardable objects or mixins somehow. Still for now we better to have some support than none.
(0006281)
Kantor (updater)
2016-01-15 09:27

Well done :)

- Issue History
Date Modified Username Field Change
2016-01-13 16:09 Kantor New Issue
2016-01-13 16:09 Kantor File Added: reward test.h3m
2016-01-13 17:59 SXX Assigned To => SXX
2016-01-13 17:59 SXX Status new => assigned
2016-01-14 07:07 SXX Note Added: 0006273
2016-01-14 07:08 SXX Note Edited: 0006273 View Revisions
2016-01-14 07:49 SXX Note Added: 0006274
2016-01-14 11:54 Kantor Note Added: 0006275
2016-01-14 11:55 Kantor Note Edited: 0006275 View Revisions
2016-01-14 11:57 Kantor Note Edited: 0006275 View Revisions
2016-01-14 17:09 SXX Note Added: 0006276
2016-01-14 17:13 SXX Note Edited: 0006276 View Revisions
2016-01-14 17:31 SXX Note Edited: 0006276 View Revisions
2016-01-15 01:39 SXX Note Added: 0006279
2016-01-15 01:39 SXX Status assigned => resolved
2016-01-15 01:39 SXX Fixed in Version => 0.98g
2016-01-15 01:39 SXX Resolution open => fixed
2016-01-15 09:27 Kantor Note Added: 0006281

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean